## zeroc-ice 3.7.3

=== Makefile ===
#
# Copyright (c) ZeroC, Inc. All rights reserved.
#

top_srcdir := .

include $(top_srcdir)/config/Make.rules

define make-global-rule
$1::
	+@for subdir in $2; \
	do \
		echo "making all in $$$$subdir"; \
		( cd $$$$subdir && $(MAKE) $1 ) || exit 1; \
	done
endef

$(eval $(call make-global-rule,srcs,$(languages)))
$(eval $(call make-global-rule,tests,$(languages)))
$(eval $(call make-global-rule,all,$(languages)))
$(eval $(call make-global-rule,clean,$(languages)))
$(eval $(call make-global-rule,distclean,$(languages)))
$(eval $(call make-global-rule,install,$(languages)))

#
# Install documentation and slice files (don't install IceDiscovery and IceLocatorDiscovery slice files)
#
install:: install-doc install-slice

$(eval $(call install-data-files,$(wildcard $(top_srcdir)/*LICENSE),$(top_srcdir),$(install_docdir),\
         install-doc,"Installing documentation files"))

$(eval $(call install-data-files,$(filter-out %Discovery.ice,$(wildcard $(slicedir)/*/*.ice)),$(slicedir),$(install_slicedir),\
         install-slice,"Installing slice files"))

#
# Remove top-level sdk directory on macOS
#
ifneq ($(filter Darwin,$(os)),)
distclean::
	$(Q)$(RM) -r $(top_srcdir)/sdk
endif

=== csharp/Makefile ===
#
# Copyright (c) ZeroC, Inc. All rights reserved.
#

#
# We use /p:UseSharedCompilation=false /nr:false to ensure msbuild doesn't leave processes behind
# after the build (this causes make to hang).
#
DOTNETARGS = /p:UseSharedCompilation=false /nr:false /m
DOTNETBUILDARGS = $(if $(filter $(OPTIMIZE),no),/p:Configuration=Debug)

all:
	dotnet msbuild msbuild/ice.proj $(DOTNETARGS) $(DOTNETBUILDARGS)

tests:
	dotnet msbuild msbuild/ice.proj $(DOTNETARGS) $(DOTNETBUILDARGS)

srcs:
	dotnet msbuild msbuild/ice.proj $(DOTNETARGS) $(DOTNETBUILDARGS) /t:BuildDist

distclean clean:
	dotnet msbuild msbuild/ice.proj $(DOTNETARGS) /t:Clean

install::
	@echo nothing to install

test::
	@python ./allTests.py

=== java/Makefile ===
#
# Copyright (c) ZeroC, Inc. All rights reserved.
#

ifeq ($(GRADLE),)
GRADLE = ./gradlew
endif

ifneq ($(prefix),)
  GRADLEARGS += -Pprefix=$(prefix)
endif

ifneq ($(DESTDIR),)
  GRADLEARGS += -PDESTDIR=$(DESTDIR)
endif

ifneq ($(install_javadir),)
  GRADLEARGS += -Dorg.gradle.project.jarDir=$(install_javadir)
endif

ifneq ($(install_bindir),)
  GRADLEARGS += -Dorg.gradle.project.binDir=$(install_bindir)
endif

all:
	$(GRADLE) $(GRADLEARGS) build

tests:
	$(GRADLE) $(GRADLEARGS) :test:assemble

srcs:
	$(GRADLE) $(GRADLEARGS) dist

distclean clean:
	$(GRADLE) $(GRADLEARGS) clean

install::
	$(GRADLE) $(GRADLEARGS) install

install-icegridgui::
	$(GRADLE) $(GRADLEARGS) :IceGridGUI:install

test::
	@python ./allTests.py

=== js/Makefile ===
#
# Copyright (c) ZeroC, Inc. All rights reserved.
#

ifeq ($(NPM),)
NPM = npm
endif

all: npminstall
	$(NPM) run build

dist: npminstall
	$(NPM) run dist

install:

distclean clean: npminstall
	$(NPM) run clean

lint: npminstall
	$(NPM) run lint

test:
	@python ./allTests.py

npminstall:
	$(NPM) install --no-optional

=== php/Makefile ===
#
# Copyright (c) ZeroC, Inc. All rights reserved.
#

top_srcdir      := ..
lang_srcdir     := $(top_srcdir)/$(notdir $(patsubst %/,%,$(dir $(lastword $(abspath $(MAKEFILE_LIST))))))

include $(top_srcdir)/config/Make.rules

#
# Load C++ dependencies
#
$(eval $(call load-translator-dependencies,$(top_srcdir)/cpp/src/slice2php))
$(eval $(call load-dependencies,$(addprefix $(top_srcdir)/cpp/src/,Ice IceSSL IceDiscovery IceLocatorDiscovery)))

#
# Load php rules after loading C++ dependencies
#
include $(lang_srcdir)/config/Make.rules

ifeq ($(filter all php,$(ICE_BIN_DIST)),)

#
# Load Makefile.mk fragments
#
ifeq ($(filter tests,$(MAKECMDGOALS)),)
    ifeq ($(shell [ $$($(PHP_CONFIG) --vernum) -lt 70000 ] && echo 0),0)
        include $(lang_srcdir)/src/php5/Makefile.mk
    else
        include $(lang_srcdir)/src/php7/Makefile.mk
    endif
endif

#
# Make the projects (this expands all the build configuration and defines rules for all
# the components).
#
$(call make-projects,$(projects))

install:: | $(DESTDIR)$(install_phpdir)
	$(E) "Installing generated code"
	$(Q)$(INSTALL) -m 644 lib/Glacier2.php  lib/IceBox.php  lib/IceGrid.php lib/IcePatch2.php lib/IceStorm.php $(DESTDIR)$(install_phpdir)
ifeq ($(USE_NAMESPACES),no)
	$(Q)$(INSTALL) -m 644 lib/Ice_no_ns.php $(DESTDIR)$(install_phpdir)/Ice.php
else
	$(Q)$(INSTALL) -m 644 lib/Ice_ns.php $(DESTDIR)$(install_phpdir)/Ice.php
endif

$(eval $(call make-php-package,$(slicedir),lib,Ice))
$(eval $(call make-php-package,$(slicedir),lib,Glacier2))
$(eval $(call make-php-package,$(slicedir),lib,IceBox))
$(eval $(call make-php-package,$(slicedir),lib,IceGrid))
$(eval $(call make-php-package,$(slicedir),lib,IcePatch2))
$(eval $(call make-php-package,$(slicedir),lib,IceStorm))

endif

#
# Translate the Slice files from test directories
#
tests := $(call tests-without-project-makefile,php)
include $(shell find test -name Makefile.mk)
$(foreach t,$(tests),$(eval $(call make-php-test-project,$(t))))

=== python/Makefile ===
#
# Copyright (c) ZeroC, Inc. All rights reserved.
#

top_srcdir      := ..
lang_srcdir     := $(top_srcdir)/$(notdir $(patsubst %/,%,$(dir $(lastword $(abspath $(MAKEFILE_LIST))))))

ifeq ($(PYTHON),)
    PYTHON = python
endif

include $(top_srcdir)/config/Make.rules

#
# Load C++ dependencies
#
$(eval $(call load-dependencies,$(addprefix $(top_srcdir)/cpp/src/,Ice IceSSL IceLocatorDiscovery IceDiscovery)))

#
# Load python rules after loading C++ dependencies
#
include $(lang_srcdir)/config/Make.rules

ifeq ($(filter all python,$(ICE_BIN_DIST)),)

#
# Load Makefile.mk fragments
#
include $(shell find $(lang_srcdir) -name Makefile.mk)

#
# Make the projects (this expands all the build configuration and defines rules for all
# the components).
#
$(call make-projects,$(projects))

#
# We use a separate Makefile for building the python packages because their building
# requires .NOTPARALLEL
#
all generate-srcs clean distclean install::
	+$(Q)$(MAKE) -C python $@

endif

=== swift/Makefile ===
#
# Copyright (c) ZeroC, Inc. All rights reserved.
#

top_srcdir := ..

include $(top_srcdir)/config/Make.rules

CONFIG ?= $(if $(filter $(OPTIMIZE),no),Debug,Release)
PROJECT ?= $(if $(filter $(ICE_BIN_DIST), swift all),ice-test.xcodeproj,ice.xcodeproj)

# $(call make-xcodebuild-rule,$1=rule,$2=platform,$3=scheme,$4=target)
define make-xcodebuild-rule
$1:: $(PROJECT)
	xcodebuild -project $(PROJECT) \
                   -scheme "$3 $(if $(filter $2,macosx),macOS,iOS)" \
                   -configuration $(CONFIG) \
                   -sdk $2 $4
endef

ice.xcodeproj: Rakefile | carthage
	rake icesdistproj

ice-test.xcodeproj: Rakefile carthage
	rake icebdistproj

all:: tests

carthage:
	cd .. && carthage update --cache-builds

tests srcs:: carthage

install::
	@echo nothing to install

project:
	@echo Project is $(PROJECT)

$(foreach p,$(platforms),$(eval $(call make-xcodebuild-rule,srcs,$p,Ice,build)))
$(foreach p,$(platforms),$(eval $(call make-xcodebuild-rule,tests,$p,TestDriver,build)))

$(foreach p,$(platforms),$(eval $(call make-xcodebuild-rule,clean,$p,Ice,clean)))
$(foreach p,$(platforms),$(eval $(call make-xcodebuild-rule,clean,$p,TestDriver,clean)))

$(foreach p,$(supported-platforms),$(eval $(call make-xcodebuild-rule,distclean,$p,Ice,clean)))
$(foreach p,$(supported-platforms),$(eval $(call make-xcodebuild-rule,distclean,$p,TestDriver,clean)))

test::
	@python ./allTests.py --config $(CONFIG)

=== python/python/Makefile ===
#
# Copyright (c) ZeroC, Inc. All rights reserved.
#

top_srcdir      := ../..
lang_srcdir     := $(top_srcdir)/$(notdir $(patsubst %/,%,$(dir $(abspath $(dir $(abspath $(lastword $(MAKEFILE_LIST))))))))

include $(top_srcdir)/config/Make.rules
include $(lang_srcdir)/config/Make.rules

#
# Load C++ dependencies
#
$(eval $(call load-translator-dependencies,$(top_srcdir)/cpp/src/slice2py))

.NOTPARALLEL:

$(eval $(call make-python-package,$(slicedir),$(lang_srcdir)/python,Ice,--no-package))
$(eval $(call make-python-package,$(slicedir),$(lang_srcdir)/python,Glacier2,--no-package))
$(eval $(call make-python-package,$(slicedir),$(lang_srcdir)/python,IceBox))
$(eval $(call make-python-package,$(slicedir),$(lang_srcdir)/python,IceMX))
$(eval $(call make-python-package,$(slicedir),$(lang_srcdir)/python,IceGrid))
$(eval $(call make-python-package,$(slicedir),$(lang_srcdir)/python,IcePatch2))
$(eval $(call make-python-package,$(slicedir),$(lang_srcdir)/python,IceStorm))

# Generate these two files individually without the --no-package option to ensure the
# IceMX package is updated.
$(eval $(call make-python-slice,$(slicedir),$(lang_srcdir)/python,Ice,Metrics))
$(eval $(call make-python-slice,$(slicedir),$(lang_srcdir)/python,Glacier2,Metrics))

install:: | $(DESTDIR)$(install_pythondir)/Ice
	$(E) "Installing generated code"
	$(Q)$(INSTALL) -m 644 Ice/__init__.py $(DESTDIR)$(install_pythondir)/Ice
# Ice/Future requires python >= 3.5
ifeq ($(shell $(PYTHON) -c "print(1 if $(python-version) >= 3.5 else 0)"),1)
	$(Q)$(MKDIR) -p -m 755 $(DESTDIR)$(install_pythondir)/Ice/Py3
	$(Q)$(INSTALL) -m 644 Ice/Py3/IceFuture.py $(DESTDIR)$(install_pythondir)/Ice/Py3/
endif

install:: | $(DESTDIR)$(install_pythondir)/Glacier2
	$(Q)$(INSTALL) -m 644 Glacier2/__init__.py $(DESTDIR)$(install_pythondir)/Glacier2

=== debian/changelog ===
zeroc-ice (3.7.3-1build2) focal; urgency=medium

  * No-change rebuild for php 7.4

 -- Bryce Harrington <bryce@canonical.com>  Thu, 27 Feb 2020 23:23:13 +0000

zeroc-ice (3.7.3-1build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 04:41:35 +0000

zeroc-ice (3.7.3-1) unstable; urgency=medium

  * Do not use dh_install --list-missing deprecated argument
  * Remove debian patches integrated in new upstream release
  * Add slice2swift to zeroc-ice-compilers package
  * New upstream version 3.7.3

 -- José Gutiérrez de la Concha <jose@zeroc.com>  Wed, 16 Oct 2019 17:24:34 +0200

zeroc-ice (3.7.2-6) unstable; urgency=medium

  * Python2 removal (closes: #938886)

 -- José Gutiérrez de la Concha <jose@zeroc.com>  Wed, 04 Sep 2019 14:50:20 +0200

zeroc-ice (3.7.2-5) unstable; urgency=medium

  * Fix GCC 9 build failures

 -- José Gutiérrez de la Concha <jose@zeroc.com>  Fri, 12 Jul 2019 13:05:25 +0200

=== debian/control ===
Source: zeroc-ice
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: José Gutiérrez de la Concha <jose@zeroc.com>
Uploaders: Ondřej Surý <ondrej@debian.org>
Build-Depends-Indep: default-jdk,
                     gradle (>= 2),
                     gradle-ice-builder-plugin (>= 1.3.13),
                     libjgoodies-forms-java (>= 1.6.0),
                     libjgoodies-looks-java (>= 2.5.2),
                     openjfx
Build-Depends: debhelper (>= 9.20160709),
               dh-exec,
               dh-php (>= 0.20),
               dh-python,
               javahelper,
               libbluetooth-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
               libbz2-dev,
               libdbus-1-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
               libexpat1-dev,
               liblmdb-dev,
               libmcpp-dev,
               libssl-dev,
               locales-all,
               maven-repo-helper (>= 1.8),
               openssl,
               php-all-dev,
               php-cli,
               python3,
               python3-dev,
               python3-setuptools,
               python3-passlib
Standards-Version: 4.1.3
Homepage: https://zeroc.com
Vcs-Git: https://github.com/zeroc-ice/ice-debian-packaging.git
Vcs-Browser: https://github.com/zeroc-ice/ice-debian-packaging.git

Package: libzeroc-ice-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Replaces: libice++-dev,
          libzeroc-ice35-dev
Depends: libzeroc-ice3.7 (= ${binary:Version}),
         zeroc-ice-compilers (= ${binary:Version}),
         zeroc-ice-slice (= ${source:Version}),
         ${misc:Depends}
Description: libraries and headers for developing Ice applications in C++
 This package contains the libraries and headers needed for developing
 Ice applications in C++.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: libzeroc-ice3.7-java
Architecture: all
Multi-Arch: foreign
Section: java
Replaces: libzeroc-ice-java (<< 3.7.0~)
Breaks: libzeroc-ice-java (<< 3.7.0~)
Depends: ${misc:Depends}
Description: Ice for Java run-time libraries.
 This package contains Ice for Java run-time libraries.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.


Package: libzeroc-ice-java
Depends: libzeroc-ice3.7-java (= ${binary:Version}),
         zeroc-ice-compilers (>= ${source:Version}),
         zeroc-ice-compilers (<< ${source:Version}.1~),
         ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package libzeroc-ice-java
 This is a transitional package for libzeroc-ice-java. It can safely be removed.

Package: libzeroc-ice3.7
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: adduser,
         ${misc:Depends},
         ${shlibs:Depends}
Description: C++ run-time libraries for the Ice framework
 This package contains C++ run-time libraries for the Ice framework.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: libzeroc-icestorm3.7
Architecture: any
Multi-Arch: same
Section: net
Pre-Depends: ${misc:Pre-Depends}
Depends: libzeroc-ice3.7 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: IceStorm publish-subscribe event distribution service
 This package contains the IceStorm publish-subscribe event distribution
 service.
 .
 IceStorm helps you create push applications. Your Ice client (the publisher)
 sends a request to a topic managed by IceStorm, and IceStorm delivers this
 request to all the subscribers (Ice objects) that you registered with this
 topic.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: php-zeroc-ice
Architecture: any
Section: php
Depends: libzeroc-ice3.7 (= ${binary:Version}),
         ${misc:Depends},
         ${php:Depends},
         ${shlibs:Depends}
Provides: ${php:Provides}
Description: PHP extension for Ice
 This package contains a PHP extension for communicating with Ice.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: python3-zeroc-ice
Architecture: any
Section: python
Depends: libzeroc-ice3.7 (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python 3 extension for Ice
 This package contains a Python 3 extension for communication with Ice.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: zeroc-glacier2
Architecture: any
Multi-Arch: foreign
Section: net
Replaces: glacier2,
          ice35-services
Depends: libzeroc-ice3.7 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Glacier2 router
 This package contains the Glacier2 router. A Glacier2 router allows you to
 securely route Ice communications across networks, such as the public Internet
 and a private network behind a firewall. With Glacier2, you only need to open
 one port in your firewall to make multiple back-end Ice servers reachable by
 remote Ice clients on the Internet.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: zeroc-ice-all-dev
Architecture: all
Section: devel
Depends: libzeroc-ice-dev (>= ${source:Version}),
         zeroc-ice-compilers (>= ${source:Version}),
         zeroc-ice-slice (= ${source:Version}),
         ${misc:Depends}
Description: Ice development packages (metapackage)
 This is a metapackage that depends on all development packages for Ice.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: zeroc-ice-all-runtime
Architecture: all
Section: net
Depends: libzeroc-ice3.7-java (= ${source:Version}),
         libzeroc-ice3.7 (>= ${source:Version}),
         libzeroc-icestorm3.7 (>= ${source:Version}),
         php-zeroc-ice (>= ${source:Version}),
         python3-zeroc-ice (>= ${source:Version}),
         zeroc-glacier2 (>= ${source:Version}),
         zeroc-ice-slice (>= ${source:Version}),
         zeroc-ice-utils (>= ${source:Version}),
         zeroc-icebox (>= ${source:Version}),
         zeroc-icegrid (>= ${source:Version}),
         zeroc-icegridgui (>= ${source:Version}),
         zeroc-icepatch2 (>= ${source:Version}),
         zeroc-icebridge (>= ${source:Version}),
         ${misc:Depends}
Description: Ice run-time packages (metapackage)
 This is a metapackage that depends on all run-time packages for Ice.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: zeroc-ice-compilers
Architecture: any
Multi-Arch: foreign
Section: devel
Replaces: libzeroc-ice-java (<< 3.7.0~)
Breaks: libzeroc-ice-java (<< 3.7.0~)
Depends: libzeroc-ice3.7 (= ${binary:Version}),
         zeroc-ice-slice (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Slice compilers for developing Ice applications
 This package contains Slice compilers for developing Ice applications.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: zeroc-ice-slice
Architecture: all
Multi-Arch: foreign
Section: devel
Depends: ${misc:Depends}
Description: Slice files for Ice
 This package contains Slice files used by the Ice framework.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: zeroc-ice-utils
Architecture: any
Multi-Arch: foreign
Section: admin
Depends: libzeroc-ice3.7 (= ${binary:Version}),
         libzeroc-icestorm3.7 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Ice utilities and admin tools
 This package contains Ice utilities and admin tools.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: zeroc-icegridgui
Architecture: all
Multi-Arch: foreign
Section: admin
Replaces: zeroc-ice-utils-java (<< 3.7.0~)
Breaks: zeroc-ice-utils-java (<= 3.7.0~)
Depends: default-jre,
         libzeroc-ice3.7-java (= ${source:Version}),
         ${java:Depends},
         ${misc:Depends}
Description: IceGrid Admin graphical client
 The IceGrid service helps you locate, deploy and manage Ice servers.
 .
 The IceGrid GUI give you complete control over your deployed applications.
 Activities such as starting a server or modifying a configuration setting are
 just a mouse click away.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.


Package: zeroc-ice-utils-java
Depends: zeroc-icegridgui, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: zeroc-icegridgui transitional package
 This is a transitional package for zeroc-icegridgui. It can safely be removed.

Package: zeroc-icebox
Architecture: any
Multi-Arch: foreign
Section: net
Depends: libzeroc-ice3.7 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: IceBox server, a framework for Ice application services
 This package contains the IceBox server, an easy-to-use framework for
 developing and deploying application services.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: zeroc-icegrid
Architecture: any
Multi-Arch: foreign
Section: net
Replaces: ice35-services,
          icegrid
Depends: libzeroc-ice3.7 (= ${binary:Version}),
         libzeroc-icestorm3.7 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Locate, deploy, and manage Ice servers
 This package contains the IceGrid service, the IceGrid service helps you
 locate, deploy and manage Ice servers.
 .

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

export LC_ALL=en_US.UTF-8

# This has to be exported to make some magic below work.
export DH_OPTIONS

# enable dpkg build flags
# disable full hardening for now
# export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export JAVA_HOME=/usr/lib/jvm/default-java/

#
# Use the system gradle unless it has been overridden by GRADLE
# environment variable.
#
ifeq ($(GRADLE),)
export GRADLE		= gradle
endif

export GRADLEARGS	= --gradle-user-home $(CURDIR)/.gradle \
			  --info \
			  --console plain \
			  --offline \
			  --stacktrace \
			  --no-daemon \
			  --refresh-dependencies \
			  -PicegridguiProguard=false \
			  -PjgoodiesLooksVersion=debian \
			  -PjgoodiesFormsVersion=debian \
			  -PiceBuilderVersion=debian \
                          -PopenjfxVersion=debian \
			  -PiceBuilderClassPath=com.zeroc.gradle.ice-builder \
			  -PjarsClassPath=true

#
# These files are not installed with any debian package.
#
INSTALL_EXCLUDE		= usr/bin/slice2confluence

PHP_VERSIONS 		:= $(shell /usr/sbin/phpquery -V)

export PYTHON3DIR 	:= $(shell python3 -c "import sys;print('python{0}.{1}'.format(sys.version_info.major, sys.version_info.minor))")

export VERSION   := $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's,^\([.0-9|.a-z]*\).*,\1,')

DESTDIR=$(CURDIR)/debian/tmp
ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	OPTIMIZE=yes
else
	OPTIMIZE=no
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
	PROCESSORS := $(shell cat /proc/cpuinfo | grep processor | wc -l)
	ifneq ($(PROCESSORS),0)
	    MAKEFLAGS += -j$(PROCESSORS)
	endif
endif

DHARGS	= --parallel --with maven_repo_helper --with systemd --with php --with python3 --with javahelper

MAKEOPTS = V=1 prefix=/usr DESTDIR=$(DESTDIR)

%:
	dh $@ $(DHARGS)

override_dh_auto_build-arch:
	$(MAKE) $(MAKEOPTS) OPTIMIZE=$(OPTIMIZE) PYTHON=python3 LANGUAGES="cpp python" CONFIGS="shared cpp11-shared static cpp11-static" srcs
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) $(MAKEOPTS) OPTIMIZE=no LANGUAGES=cpp CONFIGS="shared cpp11-shared" tests
endif
	for v in $(PHP_VERSIONS); do \
	  cp -a php php-$${v}; \
	  PHP_CONFIG=php-config$${v} $(MAKE) $(MAKEOPTS) OPTIMIZE=$(OPTIMIZE) -C php-$${v}; \
	done

override_dh_auto_build-indep:
	$(MAKE) $(MAKEOPTS) OPTIMIZE=$(OPTIMIZE) -C cpp slice2java
	$(MAKE) $(MAKEOPTS) OPTIMIZE=$(OPTIMIZE) LANGUAGES="java java-compat" srcs
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) $(MAKEOPTS) LANGUAGES="java java-compat" tests
endif

override_dh_auto_install-arch:
	$(MAKE) $(MAKEOPTS) OPTIMIZE=$(OPTIMIZE) PYTHON=python3 LANGUAGES="cpp python" CONFIGS="shared cpp11-shared static cpp11-static" install
	for v in $(PHP_VERSIONS); do \
	  PHP_CONFIG=php-config$${v} $(MAKE) $(MAKEOPTS) OPTIMIZE=$(OPTIMIZE) -C php-$${v} install; \
	done
	rm -rf $(addprefix $(DESTDIR)/,$(INSTALL_EXCLUDE))

override_dh_auto_install-indep:
	$(MAKE) $(MAKEOPTS) OPTIMIZE=$(OPTIMIZE) LANGUAGES="java java-compat" install
	rm -rf $(DESTDIR)/usr/share/java/*-sources.jar

override_dh_auto_clean-arch:
	$(MAKE) $(MAKEOPTS) OPTIMIZE=$(OPTIMIZE) PYTHON=python3 LANGUAGES="cpp python" CONFIGS="shared cpp11-shared static cpp11-static" distclean
	for v in $(PHP_VERSIONS); do \
	  rm -rf php-$${v}; \
	done

override_dh_auto_clean-indep:
	$(MAKE) $(MAKEOPTS) OPTIMIZE=$(OPTIMIZE) LANGUAGES=cpp distclean
#
# Don't fail if gradle isn't present
#
ifeq ($(shell type $(GRADLE) > /dev/null 2>&1 && echo 0),0)
	$(MAKE) $(MAKEOPTS) OPTIMIZE=$(OPTIMIZE) LANGUAGES="java java-compat" clean
endif
	rm -rf java/.gradle
	rm -rf java-compat/.gradle
	rm -rf $(CURDIR)/.gradle

override_dh_auto_test-arch:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	-python3 cpp/allTests.py --rfilter=IceUtil/stacktrace --rfilter IceGrid/simple --rfilter IceDiscovery
	-python3 cpp/allTests.py --config=cpp11-shared --rfilter=IceUtil/stacktrace --rfilter IceGrid/simple --rfilter IceDiscovery
endif

override_dh_auto_test-indep:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	-python3 java/allTests.py --rfilter Glacier2 --rfilter IceGrid --rfilter IceDiscovery
	-python3 java-compat/allTests.py --rfilter Glacier2 --rfilter IceGrid --rfilter IceDiscovery
endif

override_dh_clean:
	find . -iname "*.pyc" -exec rm -rf {} \;
	dh_clean

override_dh_systemd_start:
	dh_systemd_start --no-start

override_dh_systemd_enable:
	dh_systemd_enable --name icegridregistry --no-enable
	dh_systemd_enable --name icegridnode --no-enable
	dh_systemd_enable --name glacier2router --no-enable

override_dh_install:
	install -d -m 0755 $(DESTDIR)/usr/bin
	install -m 0755 debian/zeroc-icegridgui.icegridgui $(DESTDIR)/usr/bin/icegridgui
	install -d -m 0755 $(DESTDIR)/usr/share/man/man1
	install -m 0644 debian/zeroc-icegridgui.icegridgui.1 $(DESTDIR)/usr/share/man/man1/icegridgui.1
	install -d -m 0755 $(DESTDIR)/etc/

	install -m 0644 debian/zeroc-glacier2.glacier2router.conf $(DESTDIR)/etc/glacier2router.conf
	install -m 0644 debian/zeroc-icegrid.icegridnode.conf $(DESTDIR)/etc/icegridnode.conf
	install -m 0644 debian/zeroc-icegrid.icegridregistry.conf $(DESTDIR)/etc/icegridregistry.conf

	dh_install
	dh_missing --list-missing -X.pom -XICE_LICENSE -XLICENSE
	jh_depends -pzeroc-icegridgui

override_dh_strip:
	dh_strip
	# Sadly, perl "-B" test (used by dh_strip) for binary files sometime misses some binary files,
	# the following ensures, static libraries are always stripped even if the binay check fails.
	strip --strip-debug --remove-section=.comment --remove-section=.note --enable-deterministic-archives \
		debian/libzeroc-ice-dev/usr/lib/*/lib*.a

override_dh_installdocs:
	dh_installdocs -A debian/README

override_mh_install-arch:

override_mh_install-indep:
	mh_install

get-orig-source:
	uscan --download-current-version --rename --force-download

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg\d*$// ,repacksuffix=+dfsg1"
https://github.com/zeroc-ice/ice/releases /zeroc-ice/ice/archive/v([0-9]+)\.([0-9]+)\.([0-9]+)\.tar\.gz

## zeroc-ice 3.7.4

=== swift/Makefile ===
--- 
+++ 
@@ -21,13 +21,20 @@
 ice.xcodeproj: Rakefile | carthage
 	rake icesdistproj
 
-ice-test.xcodeproj: Rakefile carthage
+ice-test.xcodeproj: Rakefile | carthage
 	rake icebdistproj
 
 all:: tests
 
+# Workaround for carthage sporadic SEGFAULT (https://github.com/Carthage/Carthage/issues/2760).
+# If it SEGFAULT we retry.
 carthage:
-	cd .. && carthage update --cache-builds
+	$(Q)cd .. && \
+	carthage update --cache-builds || if [ $$? = 139 ]; then \
+	carthage update --cache-builds || if [ $$? = 139 ]; then \
+	carthage update --cache-builds || if [ $$? = 139 ]; then \
+	carthage update --cache-builds || if [ $$? = 139 ]; then \
+	carthage update --cache-builds; fi; fi; fi; fi
 
 tests srcs:: carthage

=== debian/changelog ===
zeroc-ice (3.7.4-1) unstable; urgency=medium

  * New upstream version 3.7.4

 -- José Gutiérrez de la Concha <jose@zeroc.com>  Wed, 27 May 2020 18:42:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: zeroc-ice
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: José Gutiérrez de la Concha <jose@zeroc.com>
+Maintainer: José Gutiérrez de la Concha <jose@zeroc.com>
 Uploaders: Ondřej Surý <ondrej@debian.org>
 Build-Depends-Indep: default-jdk,
                      gradle (>= 2),
@@ -320,3 +319,4 @@
  This package contains the IceGrid service, the IceGrid service helps you
  locate, deploy and manage Ice servers.
  .
+ Ice is a comprehensive RPC framework that helps you network your software

## zeroc-ice 3.7.5

=== java-compat/Makefile ===
#
# Copyright (c) ZeroC, Inc. All rights reserved.
#

ifeq ($(GRADLE),)
GRADLE = ./gradlew
endif

ifneq ($(prefix),)
  GRADLEARGS += -Pprefix=$(prefix)
endif

ifneq ($(DESTDIR),)
  GRADLEARGS += -PDESTDIR=$(DESTDIR)
endif

ifneq ($(install_javadir),)
  GRADLEARGS += -Dorg.gradle.project.jarDir=$(install_javadir)
endif

ifneq ($(install_bindir),)
  GRADLEARGS += -Dorg.gradle.project.binDir=$(install_bindir)
endif

all:
	$(GRADLE) $(GRADLEARGS) build

tests:
	$(GRADLE) $(GRADLEARGS) :test:assemble

srcs:
	$(GRADLE) $(GRADLEARGS) dist

distclean clean:
	$(GRADLE) $(GRADLEARGS) clean

install::
	$(GRADLE) $(GRADLEARGS) installJars

test::
	@python ./allTests.py

=== java/Makefile ===
--- 
+++ 
@@ -35,7 +35,7 @@
 	$(GRADLE) $(GRADLEARGS) clean
 
 install::
-	$(GRADLE) $(GRADLEARGS) install
+	$(GRADLE) $(GRADLEARGS) installJars :IceGridGUI:install
 
 install-icegridgui::
 	$(GRADLE) $(GRADLEARGS) :IceGridGUI:install

=== swift/Makefile ===
--- 
+++ 
@@ -13,6 +13,7 @@
 define make-xcodebuild-rule
 $1:: $(PROJECT)
 	xcodebuild -project $(PROJECT) \
+		   -xcconfig buildsettings.xcconfig \
                    -scheme "$3 $(if $(filter $2,macosx),macOS,iOS)" \
                    -configuration $(CONFIG) \
                    -sdk $2 $4
@@ -26,15 +27,8 @@
 
 all:: tests
 
-# Workaround for carthage sporadic SEGFAULT (https://github.com/Carthage/Carthage/issues/2760).
-# If it SEGFAULT we retry.
 carthage:
-	$(Q)cd .. && \
-	carthage update --cache-builds || if [ $$? = 139 ]; then \
-	carthage update --cache-builds || if [ $$? = 139 ]; then \
-	carthage update --cache-builds || if [ $$? = 139 ]; then \
-	carthage update --cache-builds || if [ $$? = 139 ]; then \
-	carthage update --cache-builds; fi; fi; fi; fi
+	$(Q)cd .. && ./swift/carthage.sh bootstrap --cache-builds
 
 tests srcs:: carthage

=== debian/changelog ===
zeroc-ice (3.7.5-2) unstable; urgency=medium

  * Fix version in POM files
  * Fix version & links in README

 -- José Gutiérrez de la Concha <jose@zeroc.com>  Wed, 27 Jan 2021 17:05:09 +0100

zeroc-ice (3.7.5-1) unstable; urgency=medium

  * New upstream version 3.7.5

 -- José Gutiérrez de la Concha <jose@zeroc.com>  Tue, 26 Jan 2021 21:55:14 +0100

zeroc-ice (3.7.4-3) unstable; urgency=medium

  * Fix zeroc-icegrid: icegridadmin.service blocks on startup (Closes: #97612)

 -- José Gutiérrez de la Concha <jose@zeroc.com>  Mon, 30 Nov 2020 10:18:03 +0100

zeroc-ice (3.7.4-2) unstable; urgency=medium

  * Fix ftbfs with python3.9 (Closes: #972779)

 -- José Gutiérrez de la Concha <jose@zeroc.com>  Fri, 20 Nov 2020 19:19:30 +0100

=== debian/control ===
--- 
+++ 
@@ -17,10 +17,12 @@
                libbluetooth-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
                libbz2-dev,
                libdbus-1-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
+               libedit-dev,
                libexpat1-dev,
                liblmdb-dev,
                libmcpp-dev,
                libssl-dev,
+               libsystemd-dev,
                locales-all,
                maven-repo-helper (>= 1.8),
                openssl,
@@ -319,4 +321,3 @@
  This package contains the IceGrid service, the IceGrid service helps you
  locate, deploy and manage Ice servers.
  .
- Ice is a comprehensive RPC framework that helps you network your software

=== debian/rules ===
--- 
+++ 
@@ -162,7 +162,7 @@
 override_dh_strip:
 	dh_strip
 	# Sadly, perl "-B" test (used by dh_strip) for binary files sometime misses some binary files,
-	# the following ensures, static libraries are always stripped even if the binay check fails.
+	# the following ensures, static libraries are always stripped even if the binary check fails.
 	strip --strip-debug --remove-section=.comment --remove-section=.note --enable-deterministic-archives \
 		debian/libzeroc-ice-dev/usr/lib/*/lib*.a

## zeroc-ice 3.7.6

=== php/Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
     ifeq ($(shell [ $$($(PHP_CONFIG) --vernum) -lt 70000 ] && echo 0),0)
         include $(lang_srcdir)/src/php5/Makefile.mk
     else
-        include $(lang_srcdir)/src/php7/Makefile.mk
+        include $(lang_srcdir)/src/php/Makefile.mk
     endif
 endif

=== python/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 lang_srcdir     := $(top_srcdir)/$(notdir $(patsubst %/,%,$(dir $(lastword $(abspath $(MAKEFILE_LIST))))))
 
 ifeq ($(PYTHON),)
-    PYTHON = python
+    PYTHON = python3
 endif
 
 include $(top_srcdir)/config/Make.rules

=== swift/Makefile ===
--- 
+++ 
@@ -7,30 +7,31 @@
 include $(top_srcdir)/config/Make.rules
 
 CONFIG ?= $(if $(filter $(OPTIMIZE),no),Debug,Release)
-PROJECT ?= $(if $(filter $(ICE_BIN_DIST), swift all),ice-test.xcodeproj,ice.xcodeproj)
+# TODO use ice-test.xcodeproj for binary builds once carthage support XCFramework prebuild packages
+PROJECT ?= ice.xcodeproj
+# PROJECT ?= $(if $(filter $(ICE_BIN_DIST), swift all),ice-test.xcodeproj,ice.xcodeproj)
 
 # $(call make-xcodebuild-rule,$1=rule,$2=platform,$3=scheme,$4=target)
 define make-xcodebuild-rule
 $1:: $(PROJECT)
 	xcodebuild -project $(PROJECT) \
-		   -xcconfig buildsettings.xcconfig \
                    -scheme "$3 $(if $(filter $2,macosx),macOS,iOS)" \
                    -configuration $(CONFIG) \
                    -sdk $2 $4
 endef
 
-ice.xcodeproj: Rakefile | carthage
+ice.xcodeproj: Rakefile | carthage-bootstrap
 	rake icesdistproj
 
-ice-test.xcodeproj: Rakefile | carthage
+ice-test.xcodeproj: Rakefile | carthage-bootstrap
 	rake icebdistproj
 
 all:: tests
 
-carthage:
-	$(Q)cd .. && ./swift/carthage.sh bootstrap --cache-builds
+carthage-bootstrap:
+	$(Q)cd .. && carthage bootstrap --cache-builds --use-xcframeworks
 
-tests srcs:: carthage
+tests srcs:: carthage-bootstrap
 
 install::
 	@echo nothing to install

=== debian/changelog ===
zeroc-ice (3.7.6-4ubuntu1) jammy; urgency=medium

  * Use correct path for Python 3.10 modules

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 26 Jan 2022 14:06:32 +0000

zeroc-ice (3.7.6-4build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 13 Jan 2022 20:42:15 +0000

zeroc-ice (3.7.6-4) unstable; urgency=medium

  * PHP 8.1 build patch

 -- José Gutiérrez de la Concha <jose@zeroc.com>  Sat, 04 Dec 2021 12:31:00 +0000

zeroc-ice (3.7.6-3) unstable; urgency=medium

  * Fix OpenSSL 3.0 build failures

 -- José Gutiérrez de la Concha <jose@zeroc.com>  Thu, 02 Dec 2021 19:11:36 +0000

zeroc-ice (3.7.6-2) unstable; urgency=medium

  * Fix G++11 build failures

 -- José Gutiérrez de la Concha <jose@zeroc.com>  Tue, 02 Nov 2021 19:37:37 +0000

zeroc-ice (3.7.6-1) unstable; urgency=medium

  * New upstream version 3.7.6

 -- José Gutiérrez de la Concha <jose@zeroc.com>  Mon, 21 Jun 2021 17:51:39 +0000

zeroc-ice (3.7.5-3) unstable; urgency=medium

  * Add patch for build with C++17 standard

 -- José Gutiérrez de la Concha <jose@zeroc.com>  Wed, 07 Apr 2021 15:53:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: zeroc-ice
 Section: devel
 Priority: optional
-Maintainer: José Gutiérrez de la Concha <jose@zeroc.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: José Gutiérrez de la Concha <jose@zeroc.com>
 Uploaders: Ondřej Surý <ondrej@debian.org>
 Build-Depends-Indep: default-jdk,
                      gradle (>= 2),
@@ -9,7 +10,8 @@
                      libjgoodies-forms-java (>= 1.6.0),
                      libjgoodies-looks-java (>= 2.5.2),
                      openjfx
-Build-Depends: debhelper (>= 9.20160709),
+Build-Depends: debhelper,
+               debhelper-compat (= 10),
                dh-exec,
                dh-php (>= 0.20),
                dh-python,
@@ -32,7 +34,7 @@
                python3-dev,
                python3-setuptools,
                python3-passlib
-Standards-Version: 4.1.3
+Standards-Version: 4.5.1
 Homepage: https://zeroc.com
 Vcs-Git: https://github.com/zeroc-ice/ice-debian-packaging.git
 Vcs-Browser: https://github.com/zeroc-ice/ice-debian-packaging.git
@@ -318,6 +320,3 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Locate, deploy, and manage Ice servers
- This package contains the IceGrid service, the IceGrid service helps you
- locate, deploy and manage Ice servers.
- .

## zeroc-ice 3.7.8

=== js/Makefile ===
--- 
+++ 
@@ -20,8 +20,5 @@
 lint: npminstall
 	$(NPM) run lint
 
-test:
-	@python ./allTests.py
-
 npminstall:
 	$(NPM) install --no-optional

=== objective-c/Makefile ===
#
# Copyright (c) ZeroC, Inc. All rights reserved.
#

top_srcdir      := ..
lang_srcdir     := $(top_srcdir)/$(notdir $(patsubst %/,%,$(dir $(lastword $(abspath $(MAKEFILE_LIST))))))

include $(top_srcdir)/config/Make.rules
include $(lang_srcdir)/config/Make.rules

#
# Load C++ dependencies
#
$(eval $(call load-translator-dependencies,$(top_srcdir)/cpp/src/slice2objc))
$(eval $(call load-dependencies,$(addprefix $(top_srcdir)/cpp/src/,Ice IceSSL IceIAP)))

#
# Load source projects
#
projects :=
include $(shell find $(lang_srcdir)/src -name Makefile.mk)
$(call make-projects,$(projects),make-objc-src-project,,$(filter all obj%c,$(ICE_BIN_DIST)))

#
# Now, create and load test projects.
#
projects :=
tests := $(call tests-without-project-makefile,m)
include $(shell find $(lang_srcdir)/test -name Makefile.mk)
$(foreach t,$(tests),$(eval $(call create-objc-test-project,$(t))))
$(call make-projects,$(projects),make-objc-test-project)

=== swift/Makefile ===
--- 
+++ 
@@ -47,6 +47,3 @@
 
 $(foreach p,$(supported-platforms),$(eval $(call make-xcodebuild-rule,distclean,$p,Ice,clean)))
 $(foreach p,$(supported-platforms),$(eval $(call make-xcodebuild-rule,distclean,$p,TestDriver,clean)))
-
-test::
-	@python ./allTests.py --config $(CONFIG)

=== debian/changelog ===
zeroc-ice (3.7.8-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * source only upload to enable migration

 -- Paul Gevers <elbrus@debian.org>  Tue, 17 Jan 2023 21:12:33 +0100

zeroc-ice (3.7.8-2) unstable; urgency=medium

  * No-change rebuild for PHP 8.2

 -- Ondřej Surý <ondrej@debian.org>  Fri, 13 Jan 2023 11:37:15 +0100

zeroc-ice (3.7.8-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add upstream build fixes for Python 3.11. (Closes: #1027849)

 -- Adrian Bunk <bunk@debian.org>  Mon, 09 Jan 2023 21:57:08 +0200

zeroc-ice (3.7.8-1) unstable; urgency=medium

  * New upstream version 3.7.8

 -- José Gutiérrez de la Concha <jose@zeroc.com>  Fri, 05 Aug 2022 09:25:42 +0200

zeroc-ice (3.7.7-1) unstable; urgency=medium

  * New upstream version 3.7.7

 -- José Gutiérrez de la Concha <jose@zeroc.com>  Thu, 27 Jan 2022 13:45:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: zeroc-ice
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: José Gutiérrez de la Concha <jose@zeroc.com>
+Maintainer: José Gutiérrez de la Concha <jose@zeroc.com>
 Uploaders: Ondřej Surý <ondrej@debian.org>
 Build-Depends-Indep: default-jdk,
                      gradle (>= 2),
@@ -34,7 +33,7 @@
                python3-dev,
                python3-setuptools,
                python3-passlib
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: https://zeroc.com
 Vcs-Git: https://github.com/zeroc-ice/ice-debian-packaging.git
 Vcs-Browser: https://github.com/zeroc-ice/ice-debian-packaging.git
@@ -288,6 +287,7 @@
 Package: zeroc-ice-utils-java
 Depends: zeroc-icegridgui, ${misc:Depends}
 Architecture: all
+Multi-Arch: foreign
 Priority: optional
 Section: oldlibs
 Description: zeroc-icegridgui transitional package
@@ -320,3 +320,5 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Locate, deploy, and manage Ice servers
+ This package contains the IceGrid service, the IceGrid service helps you
+ locate, deploy and manage Ice servers.

=== debian/rules ===
--- 
+++ 
@@ -23,23 +23,27 @@
 #
 ifeq ($(GRADLE),)
 export GRADLE		= gradle
+# When building with gradle debian package use the "debian" version of builder, the new
+# builder is no compatible with old gradle version included in debian.
+#
+# See https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=926714
+export OFFLINE_GRADLEARGS	= --offline \
+			  -PiceBuilderVersion=debian \
+			  -PiceBuilderClassPath=com.zeroc.gradle.ice-builder
 endif
 
 export GRADLEARGS	= --gradle-user-home $(CURDIR)/.gradle \
 			  --info \
 			  --console plain \
-			  --offline \
 			  --stacktrace \
 			  --no-daemon \
 			  --refresh-dependencies \
 			  -PicegridguiProguard=false \
+			  -PjarsClassPath=true \
 			  -PjgoodiesLooksVersion=debian \
 			  -PjgoodiesFormsVersion=debian \
-			  -PiceBuilderVersion=debian \
-                          -PopenjfxVersion=debian \
-			  -PiceBuilderClassPath=com.zeroc.gradle.ice-builder \
-			  -PjarsClassPath=true
-
+			  -PopenjfxVersion=debian \
+			  $(OFFLINE_GRADLEARGS)
 #
 # These files are not installed with any debian package.
 #
@@ -67,7 +71,7 @@
 	endif
 endif
 
-DHARGS	= --parallel --with maven_repo_helper --with systemd --with php --with python3 --with javahelper
+DHARGS	= --parallel --with maven_repo_helper --with php --with python3 --with javahelper
 
 MAKEOPTS = V=1 prefix=/usr DESTDIR=$(DESTDIR)
 
@@ -136,13 +140,10 @@
 	find . -iname "*.pyc" -exec rm -rf {} \;
 	dh_clean
 
-override_dh_systemd_start:
-	dh_systemd_start --no-start
-
 override_dh_systemd_enable:
-	dh_systemd_enable --name icegridregistry --no-enable
-	dh_systemd_enable --name icegridnode --no-enable
-	dh_systemd_enable --name glacier2router --no-enable
+	dh_installsystemd --name icegridregistry --no-enable --no-start
+	dh_installsystemd --name icegridnode --no-enable --no-start
+	dh_installsystemd --name glacier2router --no-enable --no-start
 
 override_dh_install:
 	install -d -m 0755 $(DESTDIR)/usr/bin
